
_interrupt:

;PIC Clicker Relay Click.c,48 :: 		void interrupt() {
;PIC Clicker Relay Click.c,50 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;PIC Clicker Relay Click.c,51 :: 		}
L_end_interrupt:
L__interrupt19:
	RETFIE      1
; end of _interrupt

_clear_USB_buffers:

;PIC Clicker Relay Click.c,53 :: 		void clear_USB_buffers()
;PIC Clicker Relay Click.c,55 :: 		for (i=0; i<63;i++)
	CLRF        _i+0 
L_clear_USB_buffers0:
	MOVLW       63
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_clear_USB_buffers1
;PIC Clicker Relay Click.c,57 :: 		readbuff[i] = 0;
	MOVLW       _readbuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker Relay Click.c,58 :: 		writebuff[i] = 0;
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker Relay Click.c,55 :: 		for (i=0; i<63;i++)
	INCF        _i+0, 1 
;PIC Clicker Relay Click.c,59 :: 		}
	GOTO        L_clear_USB_buffers0
L_clear_USB_buffers1:
;PIC Clicker Relay Click.c,60 :: 		}
L_end_clear_USB_buffers:
	RETURN      0
; end of _clear_USB_buffers

_read_button1:

;PIC Clicker Relay Click.c,62 :: 		char read_button1() {
;PIC Clicker Relay Click.c,63 :: 		if (Button(&PORTD, 3, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button13
;PIC Clicker Relay Click.c,64 :: 		return  1;                              // Update flag
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_read_button1
;PIC Clicker Relay Click.c,65 :: 		} else return 0;
L_read_button13:
	CLRF        R0 
;PIC Clicker Relay Click.c,66 :: 		}
L_end_read_button1:
	RETURN      0
; end of _read_button1

_read_button2:

;PIC Clicker Relay Click.c,68 :: 		char read_button2() {
;PIC Clicker Relay Click.c,69 :: 		if (Button(&PORTD, 2, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button25
;PIC Clicker Relay Click.c,70 :: 		return  2;                              // Update flag
	MOVLW       2
	MOVWF       R0 
	GOTO        L_end_read_button2
;PIC Clicker Relay Click.c,71 :: 		} else return 0;
L_read_button25:
	CLRF        R0 
;PIC Clicker Relay Click.c,72 :: 		}
L_end_read_button2:
	RETURN      0
; end of _read_button2

_main:

;PIC Clicker Relay Click.c,74 :: 		void main(){
;PIC Clicker Relay Click.c,75 :: 		long cnt = 0;
;PIC Clicker Relay Click.c,77 :: 		ANCON0 = 0xFF;               // Default all pins to digital
	MOVLW       255
	MOVWF       ANCON0+0 
;PIC Clicker Relay Click.c,78 :: 		ANCON1 = 0xFF;               //
	MOVLW       255
	MOVWF       ANCON1+0 
;PIC Clicker Relay Click.c,79 :: 		TRISD = 0;
	CLRF        TRISD+0 
;PIC Clicker Relay Click.c,80 :: 		TRISB = 0;
	CLRF        TRISB+0 
;PIC Clicker Relay Click.c,81 :: 		TRISA = 0;
	CLRF        TRISA+0 
;PIC Clicker Relay Click.c,82 :: 		RCSTA1 = 1;
	MOVLW       1
	MOVWF       RCSTA1+0 
;PIC Clicker Relay Click.c,84 :: 		T1_Direction = 1;         // Set direction for buttons
	BSF         TRISD3_bit+0, BitPos(TRISD3_bit+0) 
;PIC Clicker Relay Click.c,85 :: 		T2_Direction = 1;
	BSF         TRISD2_bit+0, BitPos(TRISD2_bit+0) 
;PIC Clicker Relay Click.c,87 :: 		LD1_Direction = 0;        // Set direction for LEDS
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;PIC Clicker Relay Click.c,88 :: 		LD2_Direction = 0;
	BCF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;PIC Clicker Relay Click.c,89 :: 		LD1 = 0;
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker Relay Click.c,90 :: 		LD2 = 0;                 // turn off leds
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker Relay Click.c,92 :: 		Relay1_Direction = 0;     //Set Direction for Relay Pins
	BCF         TRISC6_bit+0, BitPos(TRISC6_bit+0) 
;PIC Clicker Relay Click.c,93 :: 		Relay2_Direction = 0;
	BCF         TRISB3_bit+0, BitPos(TRISB3_bit+0) 
;PIC Clicker Relay Click.c,94 :: 		Relay1 = 0;
	BCF         LATC6_bit+0, BitPos(LATC6_bit+0) 
;PIC Clicker Relay Click.c,95 :: 		Relay2 = 0;
	BCF         LATB3_bit+0, BitPos(LATB3_bit+0) 
;PIC Clicker Relay Click.c,97 :: 		clear_USB_buffers();
	CALL        _clear_USB_buffers+0, 0
;PIC Clicker Relay Click.c,98 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;PIC Clicker Relay Click.c,101 :: 		while (1){
L_main7:
;PIC Clicker Relay Click.c,103 :: 		kk = HID_Read();
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _kk+0 
;PIC Clicker Relay Click.c,104 :: 		if (kk != 0)
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
;PIC Clicker Relay Click.c,107 :: 		if ((readbuff[0] & 0x01 )> 0) {
	MOVLW       1
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main10
;PIC Clicker Relay Click.c,108 :: 		LD1 = 1;
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker Relay Click.c,109 :: 		}  else LD1 = 0;
	GOTO        L_main11
L_main10:
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
L_main11:
;PIC Clicker Relay Click.c,110 :: 		if ((readbuff[0] & 0x02 )> 0) {
	MOVLW       2
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main12
;PIC Clicker Relay Click.c,111 :: 		LD2 = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker Relay Click.c,112 :: 		}  else LD2 = 0;
	GOTO        L_main13
L_main12:
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
L_main13:
;PIC Clicker Relay Click.c,114 :: 		writebuff[0]=0;
	CLRF        1344 
;PIC Clicker Relay Click.c,115 :: 		writebuff[0] = writebuff[0] | read_button1() ;
	CALL        _read_button1+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker Relay Click.c,116 :: 		writebuff[0] = writebuff[0] | read_button2() ;
	CALL        _read_button2+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker Relay Click.c,118 :: 		if ((readbuff[0] & 0x04 )> 0) {
	MOVLW       4
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main14
;PIC Clicker Relay Click.c,119 :: 		Relay1 = 1;
	BSF         LATC6_bit+0, BitPos(LATC6_bit+0) 
;PIC Clicker Relay Click.c,120 :: 		}  else Relay1 = 0;
	GOTO        L_main15
L_main14:
	BCF         LATC6_bit+0, BitPos(LATC6_bit+0) 
L_main15:
;PIC Clicker Relay Click.c,121 :: 		if ((readbuff[0] & 0x08 )> 0) {
	MOVLW       8
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main16
;PIC Clicker Relay Click.c,122 :: 		Relay2 = 1;
	BSF         LATB3_bit+0, BitPos(LATB3_bit+0) 
;PIC Clicker Relay Click.c,123 :: 		}  else Relay2 = 0;
	GOTO        L_main17
L_main16:
	BCF         LATB3_bit+0, BitPos(LATB3_bit+0) 
L_main17:
;PIC Clicker Relay Click.c,125 :: 		HID_Write(&writebuff,64);
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
;PIC Clicker Relay Click.c,126 :: 		}
L_main9:
;PIC Clicker Relay Click.c,127 :: 		}
	GOTO        L_main7
;PIC Clicker Relay Click.c,128 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
