#line 1 "C:/Users/Carl/Documents/Pic Projects/Pic18/PIC Clicker Relay Click/PIC Clicker Relay Click.c"
#line 25 "C:/Users/Carl/Documents/Pic Projects/Pic18/PIC Clicker Relay Click/PIC Clicker Relay Click.c"
unsigned char readbuff[64] absolute 0x500;
unsigned char writebuff[64] absolute 0x540;

char kk;
char i;


sbit LD1 at LATA0_bit;
sbit LD2 at LATA1_bit;
sbit LD1_Direction at TRISA0_bit;
sbit LD2_Direction at TRISA1_bit;

sbit T1 at RD3_bit;
sbit T2 at RD2_bit;
sbit T1_Direction at TRISD3_bit;
sbit T2_Direction at TRISD2_bit;

sbit Relay1 at LATC6_bit;
sbit Relay1_Direction at TRISC6_bit;
sbit Relay2 at LATB3_bit;
sbit Relay2_Direction at TRISB3_bit;


void interrupt() {

 USB_Interrupt_Proc();
}

void clear_USB_buffers()
{
 for (i=0; i<63;i++)
 {
 readbuff[i] = 0;
 writebuff[i] = 0;
 }
}

char read_button1() {
 if (Button(&PORTD, 3, 2, 0)) {
 return 1;
 } else return 0;
}

char read_button2() {
 if (Button(&PORTD, 2, 2, 0)) {
 return 2;
 } else return 0;
}

void main(){
 long cnt = 0;

 ANCON0 = 0xFF;
 ANCON1 = 0xFF;
 TRISD = 0;
 TRISB = 0;
 TRISA = 0;
 RCSTA1 = 1;

 T1_Direction = 1;
 T2_Direction = 1;

 LD1_Direction = 0;
 LD2_Direction = 0;
 LD1 = 0;
 LD2 = 0;

 Relay1_Direction = 0;
 Relay2_Direction = 0;
 Relay1 = 0;
 Relay2 = 0;

 clear_USB_buffers();
 HID_Enable(&readbuff,&writebuff);


 while (1){

 kk = HID_Read();
 if (kk != 0)
 {

 if ((readbuff[0] & 0x01 )> 0) {
 LD1 = 1;
 } else LD1 = 0;
 if ((readbuff[0] & 0x02 )> 0) {
 LD2 = 1;
 } else LD2 = 0;

 writebuff[0]=0;
 writebuff[0] = writebuff[0] | read_button1() ;
 writebuff[0] = writebuff[0] | read_button2() ;

 if ((readbuff[0] & 0x04 )> 0) {
 Relay1 = 1;
 } else Relay1 = 0;
 if ((readbuff[0] & 0x08 )> 0) {
 Relay2 = 1;
 } else Relay2 = 0;

 HID_Write(&writebuff,64);
 }
 }
}
